status: done
data:
  - name: Install required packages
    how: shell
    order: 50
    when: []
    summary:
    where: []
    script:
      - "sudo dnf update -y\nsudo dnf install -y \\\ngit curl xorg-x11-server-Xvfb
        \\\n  nss nspr atk at-spi2-atk cups libXcomposite libXdamage libXfixes libXrandr
        cairo pango alsa-lib \\\n  gcc-c++ gtk3 passt jq\n# Install Node.js directly
        from official binary (if not already installed)\n\nif ! command -v node &>
        /dev/null || [[ \"$(node -v)\" != \"v24.11.1\" ]]; then\n  curl -fsSL https://nodejs.org/dist/v24.11.1/node-v24.11.1-linux-x64.tar.xz
        -o node.tar.xz || exit 1\n  sudo tar -C /usr/local --strip-components=1 -xf
        node.tar.xz || exit 1\n  rm -f node.tar.xz\nfi\n\nnpm install -g pnpm\necho
        \"NodeJS version: $(node -v)\"\necho \"npm version: $(npm -v)\"\necho \"pnpm
        Version: $(pnpm --version)\"\n"
    url:
    ref:
    __class__:
        module: tmt.steps.prepare.shell
        name: PrepareShellData
  - name: Install podman
    how: shell
    order: 50
    when: []
    summary:
    where: []
    script:
      - "bash /var/ARTIFACTS/work-smokev9a_wkac/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/tree/tests/tmt/scripts/install-podman.sh\n"
    url:
    ref:
    __class__:
        module: tmt.steps.prepare.shell
        name: PrepareShellData
  - name: Enable and start Podman rootless service
    how: shell
    order: 50
    when: []
    summary:
    where: []
    script:
      - "systemctl --user enable podman.socket || exit 1\nsystemctl --user start podman.socket
        || exit 1\nsystemctl --user is-active podman.socket || exit 1\n"
    url:
    ref:
    __class__:
        module: tmt.steps.prepare.shell
        name: PrepareShellData
